import matplotlib.pyplot as plt
numargs = powerlaw.numargs
[ a ] = [0.9,] * numargs
rv = powerlaw(a)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = powerlaw.cdf(x, a)
h = plt.semilogy(np.abs(x - powerlaw.ppf(prb, a)) + 1e-20)

# Random number generation

R = powerlaw.rvs(a, size=100)
